### Function

# Gio NetworkMonitor get_default

since: 2.32

#### Declaration

    GNetworkMonitor*
    g_network_monitor_get_default (
      void
    )

#### Description

Gets the default `GNetworkMonitor` for the system.

Available since: 2.32

#### Return value

Type: `GNetworkMonitor`

A `GNetworkMonitor`, which will be a dummy object if no network monitor is available.

The data is owned by the called function.